diff --git c/scala/collection/parallel/ParIterableLike$Zip.class w/scala/collection/parallel/ParIterableLike$Zip.class
index 0d133f4c5a..ef4669530a 100644
--- c/scala/collection/parallel/ParIterableLike$Zip.class
+++ w/scala/collection/parallel/ParIterableLike$Zip.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$Zip extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$Zip extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 public final scala.collection.generic.CanCombineFrom scala$collection$parallel$ParIterableLike$Zip$$pbf;
   Signature: Lscala/collection/generic/CanCombineFrom;
 
diff --git c/scala/collection/parallel/ParIterableLike$ZipAll.class w/scala/collection/parallel/ParIterableLike$ZipAll.class
index b602937a85..a9d62266ae 100644
--- c/scala/collection/parallel/ParIterableLike$ZipAll.class
+++ w/scala/collection/parallel/ParIterableLike$ZipAll.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public class scala.collection.parallel.ParIterableLike$ZipAll extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableLike$ZipAll extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final int len;
   Signature: I
 
diff --git c/scala/collection/parallel/ParIterableLike.class w/scala/collection/parallel/ParIterableLike.class
index da37fa3f85..e7909fa09f 100644
--- c/scala/collection/parallel/ParIterableLike.class
+++ w/scala/collection/parallel/ParIterableLike.class
@@ -61,7 +61,7 @@ public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collectio
 public abstract #= # of #; //SignalContextPassingIterator$class=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableLike.scala"
-public interface scala.collection.parallel.ParIterableLike extends scala.collection.GenIterableLike,scala.collection.CustomParallelizable,scala.collection.Parallel,scala.collection.generic.HasNewCombiner,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableLike extends scala.collection.GenIterableLike,scala.collection.CustomParallelizable,scala.collection.Parallel,scala.collection.generic.HasNewCombiner{
 public abstract scala.collection.Iterable seq();
   Signature: ()Lscala/collection/Iterable;
 
diff --git c/scala/collection/parallel/ParIterableView$NoCombiner.class w/scala/collection/parallel/ParIterableView$NoCombiner.class
index 4b151872ad..92460c1ce2 100644
--- c/scala/collection/parallel/ParIterableView$NoCombiner.class
+++ w/scala/collection/parallel/ParIterableView$NoCombiner.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //NoCombiner=class scala/collection/parallel/ParIterableView$NoCombiner of class scala/collection/parallel/ParIterableView
 
 Compiled from "ParIterableView.scala"
-public abstract class scala.collection.parallel.ParIterableView$NoCombiner extends java.lang.Object implements scala.collection.parallel.Combiner,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParIterableView$NoCombiner extends java.lang.Object implements scala.collection.parallel.Combiner{
 private final scala.collection.parallel.TaskSupport tasksupport;
   Signature: Lscala/collection/parallel/TaskSupport;
 
diff --git c/scala/collection/parallel/ParIterableView.class w/scala/collection/parallel/ParIterableView.class
index ade09e279d..3d123f5512 100644
--- c/scala/collection/parallel/ParIterableView.class
+++ w/scala/collection/parallel/ParIterableView.class
@@ -2,6 +2,6 @@ InnerClasses:
 public abstract #= # of #; //NoCombiner=class scala/collection/parallel/ParIterableView$NoCombiner of class scala/collection/parallel/ParIterableView
 
 Compiled from "ParIterableView.scala"
-public interface scala.collection.parallel.ParIterableView extends scala.collection.parallel.ParIterableViewLike,scala.collection.GenIterableView{
+public interface scala.collection.parallel.ParIterableView extends scala.collection.parallel.ParIterableViewLike{
 }
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Appended.class w/scala/collection/parallel/ParIterableViewLike$Appended.class
index 0446dd7385..960ca5b8b9 100644
--- c/scala/collection/parallel/ParIterableViewLike$Appended.class
+++ w/scala/collection/parallel/ParIterableViewLike$Appended.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Appended=class scala/collection/GenIterableViewLike
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Appended extends scala.collection.GenIterableViewLike$Appended,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Appended extends scala.collection.GenIterableViewLike$Appended,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.ParIterable restPar();
   Signature: ()Lscala/collection/parallel/ParIterable;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Force.class w/scala/collection/parallel/ParIterableViewLike$Force.class
index f0a28b2caa..1aa1af6b6f 100644
--- c/scala/collection/parallel/ParIterableViewLike$Force.class
+++ w/scala/collection/parallel/ParIterableViewLike$Force.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParIterableViewLike.scala"
-public class scala.collection.parallel.ParIterableViewLike$Force extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParIterableViewLike$Force extends java.lang.Object implements scala.collection.parallel.ParIterableLike$Transformer{
 private final scala.collection.generic.CanCombineFrom cbf;
   Signature: Lscala/collection/generic/CanCombineFrom;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Forced.class w/scala/collection/parallel/ParIterableViewLike$Forced.class
index 0373d880f0..a10c6a4661 100644
--- c/scala/collection/parallel/ParIterableViewLike$Forced.class
+++ w/scala/collection/parallel/ParIterableViewLike$Forced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Forced=class scala/collection/GenIterableViewLike$F
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Forced extends scala.collection.GenIterableViewLike$Forced,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Forced extends scala.collection.GenIterableViewLike$Forced,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.ParIterable forcedPar();
   Signature: ()Lscala/collection/parallel/ParIterable;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Mapped.class w/scala/collection/parallel/ParIterableViewLike$Mapped.class
index 5afe229a1b..4bd1ebcdf5 100644
--- c/scala/collection/parallel/ParIterableViewLike$Mapped.class
+++ w/scala/collection/parallel/ParIterableViewLike$Mapped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Mapped=class scala/collection/GenIterableViewLike$M
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Mapped extends scala.collection.GenIterableViewLike$Mapped,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Mapped extends scala.collection.GenIterableViewLike$Mapped,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.IterableSplitter splitter();
   Signature: ()Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Sliced.class w/scala/collection/parallel/ParIterableViewLike$Sliced.class
index a92e5a6f4d..3d4aa98e1d 100644
--- c/scala/collection/parallel/ParIterableViewLike$Sliced.class
+++ w/scala/collection/parallel/ParIterableViewLike$Sliced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Sliced=class scala/collection/GenIterableViewLike$S
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Sliced extends scala.collection.GenIterableViewLike$Sliced,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Sliced extends scala.collection.GenIterableViewLike$Sliced,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.IterableSplitter splitter();
   Signature: ()Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Transformed.class w/scala/collection/parallel/ParIterableViewLike$Transformed.class
index e9ebb51221..ef7b9a218d 100644
--- c/scala/collection/parallel/ParIterableViewLike$Transformed.class
+++ w/scala/collection/parallel/ParIterableViewLike$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIter
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Transformed extends scala.collection.parallel.ParIterableView,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Transformed extends scala.collection.parallel.ParIterableView,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.parallel.IterableSplitter splitter();
   Signature: ()Lscala/collection/parallel/IterableSplitter;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$Zipped.class w/scala/collection/parallel/ParIterableViewLike$Zipped.class
index 76b0d2dd4f..6609c7eeb3 100644
--- c/scala/collection/parallel/ParIterableViewLike$Zipped.class
+++ w/scala/collection/parallel/ParIterableViewLike$Zipped.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Zipped=class scala/collection/GenIterableViewLike$Z
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$Zipped extends scala.collection.GenIterableViewLike$Zipped,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$Zipped extends scala.collection.GenIterableViewLike$Zipped,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeq otherPar();
   Signature: ()Lscala/collection/parallel/ParSeq;
 
diff --git c/scala/collection/parallel/ParIterableViewLike$ZippedAll.class w/scala/collection/parallel/ParIterableViewLike$ZippedAll.class
index 538cd0b5f3..d5b7038e9f 100644
--- c/scala/collection/parallel/ParIterableViewLike$ZippedAll.class
+++ w/scala/collection/parallel/ParIterableViewLike$ZippedAll.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //ZippedAll=class scala/collection/GenIterableViewLik
 public abstract #= # of #; //Transformed=class scala/collection/parallel/ParIterableViewLike$Transformed of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike$ZippedAll extends scala.collection.GenIterableViewLike$ZippedAll,scala.collection.parallel.ParIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike$ZippedAll extends scala.collection.GenIterableViewLike$ZippedAll,scala.collection.parallel.ParIterableViewLike$Transformed{
 public abstract scala.collection.parallel.ParSeq otherPar();
   Signature: ()Lscala/collection/parallel/ParSeq;
 
diff --git c/scala/collection/parallel/ParIterableViewLike.class w/scala/collection/parallel/ParIterableViewLike.class
index ca49d3fb09..3b21ec446f 100644
--- c/scala/collection/parallel/ParIterableViewLike.class
+++ w/scala/collection/parallel/ParIterableViewLike.class
@@ -16,7 +16,7 @@ public abstract #= # of #; //ZippedAll$class=class scala/collection/parallel/Par
 public abstract #= # of #; //Transformed$class=class scala/collection/parallel/ParIterableViewLike$Transformed$class of class scala/collection/parallel/ParIterableViewLike
 
 Compiled from "ParIterableViewLike.scala"
-public interface scala.collection.parallel.ParIterableViewLike extends scala.collection.GenIterableView,scala.collection.GenIterableViewLike,scala.collection.parallel.ParIterable,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParIterableViewLike extends scala.collection.GenIterableView,scala.collection.parallel.ParIterable{
 public abstract void foreach(scala.Function1);
   Signature: (Lscala/Function1;)V
 
diff --git c/scala/collection/parallel/ParMap$WithDefault.class w/scala/collection/parallel/ParMap$WithDefault.class
index a3b786143f..0a67634945 100644
--- c/scala/collection/parallel/ParMap$WithDefault.class
+++ w/scala/collection/parallel/ParMap$WithDefault.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //SignallingOps=class scala/collection/parallel/ParIt
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParMap.scala"
-public abstract class scala.collection.parallel.ParMap$WithDefault extends java.lang.Object implements scala.collection.parallel.ParMap,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParMap$WithDefault extends java.lang.Object implements scala.collection.parallel.ParMap{
 private final scala.collection.parallel.ParMap underlying;
   Signature: Lscala/collection/parallel/ParMap;
 
diff --git c/scala/collection/parallel/ParMap.class w/scala/collection/parallel/ParMap.class
index 25fb98f530..30ee712c4c 100644
--- c/scala/collection/parallel/ParMap.class
+++ w/scala/collection/parallel/ParMap.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //WithDefault=class scala/collection/parallel/ParMap$WithDefault of class scala/collection/parallel/ParMap
 
 Compiled from "ParMap.scala"
-public interface scala.collection.parallel.ParMap extends scala.collection.GenMap,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.ParIterable,scala.collection.parallel.ParMapLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParMap extends scala.collection.GenMap,scala.collection.generic.GenericParMapTemplate,scala.collection.parallel.ParIterable,scala.collection.parallel.ParMapLike{
 public abstract scala.collection.generic.GenericParMapCompanion mapCompanion();
   Signature: ()Lscala/collection/generic/GenericParMapCompanion;
 
diff --git c/scala/collection/parallel/ParMapLike$DefaultKeySet.class w/scala/collection/parallel/ParMapLike$DefaultKeySet.class
index 59aea36613..4e26e1f1df 100644
--- c/scala/collection/parallel/ParMapLike$DefaultKeySet.class
+++ w/scala/collection/parallel/ParMapLike$DefaultKeySet.class
@@ -10,7 +10,7 @@ public abstract #= # of #; //SignallingOps=class scala/collection/parallel/ParIt
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParMapLike.scala"
-public class scala.collection.parallel.ParMapLike$DefaultKeySet extends java.lang.Object implements scala.collection.parallel.ParSet,scala.ScalaObject{
+public class scala.collection.parallel.ParMapLike$DefaultKeySet extends java.lang.Object implements scala.collection.parallel.ParSet{
 public final scala.collection.parallel.ParMapLike $outer;
   Signature: Lscala/collection/parallel/ParMapLike;
 
diff --git c/scala/collection/parallel/ParMapLike$DefaultValuesIterable.class w/scala/collection/parallel/ParMapLike$DefaultValuesIterable.class
index 7417497f75..7bf5e805f9 100644
--- c/scala/collection/parallel/ParMapLike$DefaultValuesIterable.class
+++ w/scala/collection/parallel/ParMapLike$DefaultValuesIterable.class
@@ -10,7 +10,7 @@ public #= # of #; //DefaultValuesIterable=class scala/collection/parallel/ParMap
 public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParMapLike.scala"
-public class scala.collection.parallel.ParMapLike$DefaultValuesIterable extends java.lang.Object implements scala.collection.parallel.ParIterable,scala.ScalaObject{
+public class scala.collection.parallel.ParMapLike$DefaultValuesIterable extends java.lang.Object implements scala.collection.parallel.ParIterable{
 public final scala.collection.parallel.ParMapLike $outer;
   Signature: Lscala/collection/parallel/ParMapLike;
 
diff --git c/scala/collection/parallel/ParMapLike.class w/scala/collection/parallel/ParMapLike.class
index 58a0623934..01a8e08511 100644
--- c/scala/collection/parallel/ParMapLike.class
+++ w/scala/collection/parallel/ParMapLike.class
@@ -3,7 +3,7 @@ public #= # of #; //DefaultKeySet=class scala/collection/parallel/ParMapLike$Def
 public #= # of #; //DefaultValuesIterable=class scala/collection/parallel/ParMapLike$DefaultValuesIterable of class scala/collection/parallel/ParMapLike
 
 Compiled from "ParMapLike.scala"
-public interface scala.collection.parallel.ParMapLike extends scala.collection.GenMapLike,scala.collection.parallel.ParIterableLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParMapLike extends scala.collection.GenMapLike,scala.collection.parallel.ParIterableLike{
 public abstract java.lang.Object default(java.lang.Object);
   Signature: (Ljava/lang/Object;)Ljava/lang/Object;
 
diff --git c/scala/collection/parallel/ParSeq.class w/scala/collection/parallel/ParSeq.class
index 9c556a6b41..e6a875aa88 100644
--- c/scala/collection/parallel/ParSeq.class
+++ w/scala/collection/parallel/ParSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "ParSeq.scala"
-public interface scala.collection.parallel.ParSeq extends scala.collection.GenSeq,scala.collection.parallel.ParIterable,scala.collection.generic.GenericParTemplate,scala.collection.parallel.ParSeqLike,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeq extends scala.collection.GenSeq,scala.collection.parallel.ParIterable,scala.collection.parallel.ParSeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/parallel/ParSeqLike$Corresponds.class w/scala/collection/parallel/ParSeqLike$Corresponds.class
index dd86de7e19..1c774d789f 100644
--- c/scala/collection/parallel/ParSeqLike$Corresponds.class
+++ w/scala/collection/parallel/ParSeqLike$Corresponds.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$Corresponds extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$Corresponds extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor{
 public final scala.Function2 scala$collection$parallel$ParSeqLike$Corresponds$$corr;
   Signature: Lscala/Function2;
 
diff --git c/scala/collection/parallel/ParSeqLike$Elements.class w/scala/collection/parallel/ParSeqLike$Elements.class
index f01dbb90b2..ddec4cefbd 100644
--- c/scala/collection/parallel/ParSeqLike$Elements.class
+++ w/scala/collection/parallel/ParSeqLike$Elements.class
@@ -19,7 +19,7 @@ public abstract #= # of #; //SignalContextPassingIterator=class scala/collection
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public abstract class scala.collection.parallel.ParSeqLike$Elements extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator,scala.collection.BufferedIterator,scala.ScalaObject{
+public abstract class scala.collection.parallel.ParSeqLike$Elements extends java.lang.Object implements scala.collection.parallel.ParSeqLike$ParIterator,scala.collection.BufferedIterator{
 public final int scala$collection$parallel$ParSeqLike$Elements$$start;
   Signature: I
 
diff --git c/scala/collection/parallel/ParSeqLike$IndexWhere.class w/scala/collection/parallel/ParSeqLike$IndexWhere.class
index 25c1fef53d..eeb680d0e8 100644
--- c/scala/collection/parallel/ParSeqLike$IndexWhere.class
+++ w/scala/collection/parallel/ParSeqLike$IndexWhere.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$IndexWhere extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$IndexWhere extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor{
 public final scala.Function1 scala$collection$parallel$ParSeqLike$IndexWhere$$pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParSeqLike$LastIndexWhere.class w/scala/collection/parallel/ParSeqLike$LastIndexWhere.class
index cddc16a8c5..0ac6056f24 100644
--- c/scala/collection/parallel/ParSeqLike$LastIndexWhere.class
+++ w/scala/collection/parallel/ParSeqLike$LastIndexWhere.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$LastIndexWhere extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$LastIndexWhere extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor{
 public final scala.Function1 scala$collection$parallel$ParSeqLike$LastIndexWhere$$pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParSeqLike$Reverse.class w/scala/collection/parallel/ParSeqLike$Reverse.class
index a582d23da6..9e9a47907c 100644
--- c/scala/collection/parallel/ParSeqLike$Reverse.class
+++ w/scala/collection/parallel/ParSeqLike$Reverse.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$Reverse extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$Reverse extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer{
 
 private final scala.collection.parallel.SeqSplitter pit;
   Signature: Lscala/collection/parallel/SeqSplitter;
diff --git c/scala/collection/parallel/ParSeqLike$ReverseMap.class w/scala/collection/parallel/ParSeqLike$ReverseMap.class
index c1f11fd0a1..59db791982 100644
--- c/scala/collection/parallel/ParSeqLike$ReverseMap.class
+++ w/scala/collection/parallel/ParSeqLike$ReverseMap.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$ReverseMap extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$ReverseMap extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer{
 private final scala.Function1 f;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParSeqLike$SameElements.class w/scala/collection/parallel/ParSeqLike$SameElements.class
index 6d7bedcec6..991c16f0db 100644
--- c/scala/collection/parallel/ParSeqLike$SameElements.class
+++ w/scala/collection/parallel/ParSeqLike$SameElements.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$SameElements extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$SameElements extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor{
 private final scala.collection.parallel.SeqSplitter pit;
   Signature: Lscala/collection/parallel/SeqSplitter;
 
diff --git c/scala/collection/parallel/ParSeqLike$SegmentLength.class w/scala/collection/parallel/ParSeqLike$SegmentLength.class
index bdce893c15..e58d22cfa9 100644
--- c/scala/collection/parallel/ParSeqLike$SegmentLength.class
+++ w/scala/collection/parallel/ParSeqLike$SegmentLength.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$SegmentLength extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$SegmentLength extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Accessor{
 public final scala.Function1 scala$collection$parallel$ParSeqLike$SegmentLength$$pred;
   Signature: Lscala/Function1;
 
diff --git c/scala/collection/parallel/ParSeqLike$SignalContextPassingIterator.class w/scala/collection/parallel/ParSeqLike$SignalContextPassingIterator.class
index 08f764e265..ce1333546e 100644
--- c/scala/collection/parallel/ParSeqLike$SignalContextPassingIterator.class
+++ w/scala/collection/parallel/ParSeqLike$SignalContextPassingIterator.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //SignalContextPassingIterator=class scala/collection
 public abstract #= # of #; //SignalContextPassingIterator=class scala/collection/parallel/ParIterableLike$SignalContextPassingIterator of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public interface scala.collection.parallel.ParSeqLike$SignalContextPassingIterator extends scala.collection.parallel.ParSeqLike$ParIterator,scala.collection.parallel.ParIterableLike$SignalContextPassingIterator,scala.ScalaObject{
+public interface scala.collection.parallel.ParSeqLike$SignalContextPassingIterator extends scala.collection.parallel.ParSeqLike$ParIterator,scala.collection.parallel.ParIterableLike$SignalContextPassingIterator{
 public abstract scala.collection.Seq scala$collection$parallel$ParSeqLike$SignalContextPassingIterator$$super$psplit(scala.collection.Seq);
   Signature: (Lscala/collection/Seq;)Lscala/collection/Seq;
 
diff --git c/scala/collection/parallel/ParSeqLike$Updated.class w/scala/collection/parallel/ParSeqLike$Updated.class
index bcabb7081a..9f7bbb5c7b 100644
--- c/scala/collection/parallel/ParSeqLike$Updated.class
+++ w/scala/collection/parallel/ParSeqLike$Updated.class
@@ -9,7 +9,7 @@ public abstract #= # of #; //StrictSplitterCheckTask=class scala/collection/para
 public abstract #= # of #; //StrictSplitterCheckTask$class=class scala/collection/parallel/ParIterableLike$StrictSplitterCheckTask$class of class scala/collection/parallel/ParIterableLike
 
 Compiled from "ParSeqLike.scala"
-public class scala.collection.parallel.ParSeqLike$Updated extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer,scala.ScalaObject{
+public class scala.collection.parallel.ParSeqLike$Updated extends java.lang.Object implements scala.collection.parallel.ParSeqLike$Transformer{
 public final int scala$collection$parallel$ParSeqLike$Updated$$pos;
   Signature: I
 
